## magithub 0.1.7

=== Makefile ===
-include config.mk

PKG = magithub

EMACS      ?= emacs
EMACS_ARGS ?=

ifndef ORG_LOAD_PATH
ORG_LOAD_PATH  = -L ../dash
ORG_LOAD_PATH += -L ../org/lisp
ORG_LOAD_PATH += -L ../org/contrib/lisp
ORG_LOAD_PATH += -L ../ox-texinfo+
endif

INSTALL_INFO     ?= $(shell command -v ginstall-info || printf install-info)
MAKEINFO         ?= makeinfo
MANUAL_HTML_ARGS ?= --css-ref /assets/the.css

EENVS  = PACKAGE_FILE="magithub.el"
EENVS += PACKAGE_TESTS="test/magithub-test.el"
EENVS += PACKAGE_LISP="$(wildcard magithub*.el)"

ifeq ($(MELPA_STABLE),true)
EENVS += PACKAGE_ARCHIVES="gnu melpa-stable"
else
EENVS += PACKAGE_ARCHIVES="gnu melpa"
endif

EMAKE := $(EENVS) emacs -batch -l emake.el --eval "(emake (pop argv))"

doc: info html html-dir pdf

help:
	$(info make doc          - generate most manual formats)
	$(info make texi         - generate texi manual (see comments))
	$(info make info         - generate info manual)
	$(info make html         - generate html manual file)
	$(info make html-dir     - generate html manual directory)
	$(info make pdf          - generate pdf manual)
	@printf "\n"

.PHONY: clean install build test

clean:
	rm -f *.elc
	rm -rf .elpa/

emake.el:
	wget 'https://raw.githubusercontent.com/vermiculus/emake.el/master/emake.el'

.elpa/: emake.el
	$(EMAKE) install

install: .elpa/

build: install
	$(EMAKE) compile ~error-on-warn

test: build test-ert

# run ERT tests
test-ert: emake.el
	$(EMAKE) test ert

setup-CI:
	export PATH="$(HOME)/bin:$(PATH)"
	wget 'https://raw.githubusercontent.com/flycheck/emacs-travis/master/emacs-travis.mk'
	make -f emacs-travis.mk install_emacs
	emacs --version

info: $(PKG).info dir
html: $(PKG).html
pdf:  $(PKG).pdf

ORG_ARGS  = --batch -Q $(ORG_LOAD_PATH) -l ox-extra -l ox-texinfo+.el
ORG_EVAL  = --eval "(ox-extras-activate '(ignore-headlines))"
ORG_EVAL += --eval "(setq indent-tabs-mode nil)"
ORG_EVAL += --eval "(setq org-src-preserve-indentation nil)"
ORG_EVAL += --funcall org-texinfo-export-to-texinfo

# This target first bumps version strings in the Org source.  The
# necessary tools might be missing so other targets do not depend
# on this target and it has to be run explicitly when appropriate.
#
#   AMEND=t make texi    Update manual to be amended to HEAD.
#   VERSION=N make texi  Update manual for release.
#
.PHONY: texi
texi:
	@$(EMACS) $(ORG_ARGS) $(PKG).org $(ORG_EVAL)
	@printf "\n" >> $(PKG).texi
	@rm -f $(PKG).texi~

%.info: %.texi
	@printf "Generating $@\n"
	@$(MAKEINFO) --no-split $< -o $@

dir: $(PKG).info
	@printf "Generating $@\n"
	@printf "%s" $^ | xargs -n 1 $(INSTALL_INFO) --dir=$@

%.html: %.texi
	@printf "Generating $@\n"
	@$(MAKEINFO) --html --no-split $(MANUAL_HTML_ARGS) $<

html-dir: $(PKG).texi
	@printf "Generating $(PKG)/*.html\n"
	@$(MAKEINFO) --html $(MANUAL_HTML_ARGS) $<

%.pdf: %.texi
	@printf "Generating $@\n"
	@texi2pdf --clean $< > /dev/null

## magithub 0.1.3

=== debian/changelog ===
magithub (0.1.3-1) unstable; urgency=medium

  * New upstream release

 -- Matteo F. Vescovi <mfv@debian.org>  Mon, 14 Aug 2017 11:07:54 +0200

magithub (0.1.2+20170516.7fd7343-3) unstable; urgency=medium

  * debian/patches/: patchset updated
    - 0001-Fix_s.el_dependency.patch added (Closes: #870493)

 -- Matteo F. Vescovi <mfv@debian.org>  Thu, 03 Aug 2017 16:36:33 +0200

magithub (0.1.2+20170516.7fd7343-2) unstable; urgency=medium

  * Upload to unstable
  * debian/control:
    - S-V bump 3.9.8 -> 4.0.0 (no changes needed)
    - fix dependencies on emacs*
    - drop dependency on emacs-common

 -- Matteo F. Vescovi <mfv@debian.org>  Sat, 22 Jul 2017 14:07:38 +0200

magithub (0.1.2+20170516.7fd7343-1) experimental; urgency=medium

  * Initial release (Closes: #864541)

 -- Matteo F. Vescovi <mfv@debian.org>  Wed, 14 Jun 2017 14:34:54 +0200

=== debian/control ===
Source: magithub
Section: lisp
Priority: optional
Maintainer: Debian Emacs addons team <pkg-emacsen-addons@lists.alioth.debian.org>
Uploaders: Matteo F. Vescovi <mfv@debian.org>
Build-Depends: debhelper (>= 10), dh-elpa
Standards-Version: 4.0.0
Homepage: https://github.com/vermiculus/magithub
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-emacsen/pkg/magithub.git
Vcs-Git: https://anonscm.debian.org/git/pkg-emacsen/pkg/magithub.git
Testsuite: autopkgtest-pkg-elpa

Package: elpa-magithub
Architecture: all
Depends: ${elpa:Depends}, ${misc:Depends}, elpa-s
Recommends: emacs (>= 47.0)
Conflicts: emacs24
Enhances: emacs, emacs25
Built-Using: ${misc:Built-Using}
Description: Magit interfaces for GitHub  
 Magithub is an interface to GitHub using the `hub' utility.
 .
 Integrated into Magit workflows, Magithub allows very easy,
 very basic GitHub repository management.
 Supported actions include:
 .
  - pushing brand-new local repositories up to GitHub
  - creating forks of existing repositories
  - submitting pull requests upstream
  - viewing and creating issues
 .
 Press `H' in the status buffer to get started -- happy hacking!

## magithub 0.1.4

=== debian/changelog ===
magithub (0.1.4-1) unstable; urgency=medium

  * New upstream release
    - debian/patches/: patchset refreshed
  * debian/control: S-V bump 4.0.0 -> 4.1.2 (no changes needed)

 -- Matteo F. Vescovi <mfv@debian.org>  Sun, 24 Dec 2017 14:32:13 +0100

magithub (0.1.3-2) unstable; urgency=medium

  * debian/docs: install also Org-Mode documentation (Closes: #873335)

 -- Matteo F. Vescovi <mfv@debian.org>  Mon, 28 Aug 2017 23:48:18 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian Emacs addons team <pkg-emacsen-addons@lists.alioth.debian.org>
 Uploaders: Matteo F. Vescovi <mfv@debian.org>
 Build-Depends: debhelper (>= 10), dh-elpa
-Standards-Version: 4.0.0
+Standards-Version: 4.1.2
 Homepage: https://github.com/vermiculus/magithub
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-emacsen/pkg/magithub.git
 Vcs-Git: https://anonscm.debian.org/git/pkg-emacsen/pkg/magithub.git
@@ -17,7 +17,7 @@
 Conflicts: emacs24
 Enhances: emacs, emacs25
 Built-Using: ${misc:Built-Using}
-Description: Magit interfaces for GitHub  
+Description: Magit interfaces for GitHub
  Magithub is an interface to GitHub using the `hub' utility.
  .
  Integrated into Magit workflows, Magithub allows very easy,

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/magithub-$1\.tar\.gz/ \
https://github.com/vermiculus/magithub/tags .*/v?(\d\S+)\.tar\.gz

## magithub 0.1.7

=== debian/changelog ===
magithub (0.1.7-2) unstable; urgency=medium

  * Team upload.
  * Rebuild with current dh-elpa

 -- David Bremner <bremner@debian.org>  Sun, 25 Aug 2019 21:30:20 -0300

magithub (0.1.7-1) unstable; urgency=medium

  * New upstream release (Closes: #900822)
  * debian/patches/: patchset dropped
  * debian/control:
    - drop Depends on elpa-s (already managed)
    - Vcs-* fields updated pointing to salsa
    - Maintainer field updated
    - Build-Depends updated (texinfo and texlive added)
    - S-V bump 4.1.3 -> 4.1.4 (no changes needed)

 -- Matteo F. Vescovi <mfv@debian.org>  Tue, 12 Jun 2018 00:23:49 +0200

magithub (0.1.5-2) unstable; urgency=medium

  * Team upload.
  * Rebuild with dh-elpa 1.13 to fix byte-compilation with unversioned
    emacs

 -- David Bremner <bremner@debian.org>  Sat, 02 Jun 2018 21:12:19 -0300

magithub (0.1.5-1) UNRELEASED; urgency=medium

  * New upstream release
    - debian/patches/: patchset updated
      - 0001-Fix_s.el_dependency.patch dropped
      - 0001-Fix_package-version.patch added
  * debian/control: S-V bump 4.1.2 -> 4.1.3
  * debian/: dh bump 10 -> 11
  * debian/rules: override dh_auto_install

 -- Matteo F. Vescovi <mfv@debian.org>  Fri, 12 Jan 2018 15:12:24 +0100

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,18 @@
 Source: magithub
 Section: lisp
 Priority: optional
-Maintainer: Debian Emacs addons team <pkg-emacsen-addons@lists.alioth.debian.org>
+Maintainer: Debian Emacsen team <debian-emacsen@lists.debian.org>
 Uploaders: Matteo F. Vescovi <mfv@debian.org>
-Build-Depends: debhelper (>= 10), dh-elpa
-Standards-Version: 4.1.2
+Build-Depends: debhelper (>= 11~), dh-elpa, texinfo, texlive
+Standards-Version: 4.1.4
 Homepage: https://github.com/vermiculus/magithub
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-emacsen/pkg/magithub.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-emacsen/pkg/magithub.git
+Vcs-Browser: https://salsa.debian.org/emacsen-team/magithub
+Vcs-Git: https://salsa.debian.org/emacsen-team/magithub.git
 Testsuite: autopkgtest-pkg-elpa
 
 Package: elpa-magithub
 Architecture: all
-Depends: ${elpa:Depends}, ${misc:Depends}, elpa-s
+Depends: ${elpa:Depends}, ${misc:Depends}
 Recommends: emacs (>= 47.0)
 Conflicts: emacs24
 Enhances: emacs, emacs25

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with elpa

override_dh_elpa_test:

override_dh_auto_install:
